> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/get-started/faq/pdf-color-different/freehand-creation-delay.md).

# FreeHandAnnotation creation delay

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

When creating a **FreeHand Annotation** with WebViewer, there is an intentional delay applied to allow users to create the annotation with multiple strokes. Strokes within the short delay will be treated as part of the same annotation. Beyond the delay, strokes will be treated as a separate annotation. Take for example when drawing an **'X'** on the page. Drawing it normally or quickly will ensure the two strokes are part of the same annotation. On the other hand, drawing one stroke and then waiting for more than one second before drawing the second stroke will get you two annotations: one for each stroke.

![](https://3532544125-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FX9YnTSKIHvV7m0A36LbO%2Fuploads%2Fgit-blob-bf0175b99185849c86b5dd19dcc4e0196d5784b7%2F75bad0137f816ef756548e6525448164d44e0e0e-1263x928.gif?alt=media)

Due to the delay, the **annotationChanged** event will be delayed by some amount of time. This can be adjusted by setting the delay on the **FreeHandCreateTool** object:

{% tabs %}
{% tab title="JavaScript" %}
{% code lineNumbers="true" %}

```js
const toolMap = documentViewer.getToolModeMap();
for (const tool of Object.values(toolMap)) {
  if (tool instanceof Tools.FreeHandCreateTool){
    tool.setCreateDelay(0);
  }
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

Note that removing the delay will prevent the creation of annotations with multiple strokes.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/web/get-started/faq/pdf-color-different/freehand-creation-delay.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
